classification
Title: logging configurators ignoring documented options
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Jure.Koren, python-dev, vinay.sajip
Priority: normal Keywords: patch

Created on 2014-04-11 21:39 by Jure.Koren, last changed 2014-04-15 16:05 by Jure.Koren. This issue is now closed.

Files
File name Uploaded Description Edit
logging_config_2_7.diff Jure.Koren, 2014-04-11 21:39 patch for 2.7 review
logging_config_default.diff Jure.Koren, 2014-04-11 21:41 patch for default review
Repositories containing patches
http://hg.python.org/cpython
http://hg.python.org/cpython
Messages (5)
msg215954 - (view) Author: Jure Koren (Jure.Koren) * Date: 2014-04-11 21:39
2.7's logging.config.DictConfig does not respect the "class" option, but fileConfig does.

The default branch logging.config has the same problem in DictConfig, but also lacks "style" support in fileConfig.
msg215955 - (view) Author: Jure Koren (Jure.Koren) * Date: 2014-04-11 21:41
2.7's logging.config.DictConfig does not respect the "class" option, but fileConfig does.

The default branch logging.config has the same problem in DictConfig, but also lacks "style" support in fileConfig.
msg216287 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2014-04-15 13:14
I'm not sure I can accept the change in 2.7, because it is technically a new feature and would mean that configs would not be treated the same way in all 2.7.x versions failing in some and not in others. You can get the equivalent behaviour using '()' rather than 'class', and the 'class' keyword is only mentioned in the docs against Handlers, not Formatters.

The patch for the default branch looks OK. Thanks!
msg216288 - (view) Author: Roundup Robot (python-dev) Date: 2014-04-15 13:25
New changeset 2d33cbf02522 by Vinay Sajip in branch 'default':
Closes #21203: Updated fileConfig and dictConfig to remove inconsistencies. Thanks to Jure Koren for the patch.
http://hg.python.org/cpython/rev/2d33cbf02522
msg216326 - (view) Author: Jure Koren (Jure.Koren) * Date: 2014-04-15 16:05
I agree about the 2.7 branch, I did that one off the top of my head after struggling with backporting the code to 2.7.
History
Date User Action Args
2014-04-15 16:05:12Jure.Korensetmessages: + msg216326
2014-04-15 13:25:05python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg216288

resolution: fixed
stage: resolved
2014-04-15 13:14:13vinay.sajipsetmessages: + msg216287
versions: - Python 2.7
2014-04-12 05:35:53ned.deilysetnosy: + vinay.sajip
2014-04-11 21:41:56Jure.Korensetfiles: + logging_config_default.diff
hgrepos: + hgrepo234
messages: + msg215955
2014-04-11 21:39:27Jure.Korencreate